Subject: Re: bug#62339: cc-mode fontifies variables incorrectly when const follows type

From: Po Lu <[email-masked]>
Date: Thu, 23 Mar 2023 13:45:21 +0800

Daniel Colascione <[email-masked]> writes:

> Yes, we can  We lived with the old behavior for decades. We can live with it a few weeks longer.

I reported this bug because I saw such code in use.

> Give me a break. No, you don't.

I do.  I *see* code making use of implicit int every day.

> Practically nobody uses this obscure and deprecated C feature. If
> people did, we'd have addressed the problem years ago.

Who does ``we'' refer to?

Put bluntly, you have no right to decide what C code I see or write, or
what C code Alan wants to support.  Declarations consisting of only a
storage class specifier are part of the 1989 C Standard.

This bug is no more important than bug#59267, and both will have to be
fixed and stay fixed.